Hi

this is the warning i have after updating :

    * warning: array_merge() [function.array-merge]: Argument #1 is not an array in /xxx/provence/www/site/sites/all/modules/gallery_assist/gallery_assist.install on line 821.
    * warning: array_merge() [function.array-merge]: Argument #2 is not an array in /xxxx/provence/www/site/sites/all/modules/gallery_assist/gallery_assist.install on line 821.
    * warning: array_merge() [function.array-merge]: Argument #3 is not an array in /xxx/provence/www/site/sites/all/modules/gallery_assist/gallery_assist.install on line 821.

any idea of the probleme ?
what can i do to fix it ?

thanks

Comments

aiphes’s picture

idem on multisite install :

    * warning: array_merge() [function.array-merge]: Argument #1 is not an array in /XXX/lyceeler/www/sites/all/modules/gallery_assist/gallery_assist.install on line 821.
    * warning: array_merge() [function.array-merge]: Argument #2 is not an array in /XXX/lyceeler/www/sites/all/modules/gallery_assist/gallery_assist.install on line 821.
    * warning: array_merge() [function.array-merge]: Argument #3 is not an array in /XXX/lyceeler/www/sites/all/modules/gallery_assist/gallery_assist.install on line 821.
    * warning: array_merge() [function.array-merge]: Argument #2 is not an array in /XXX/lyceeler/www/sites/all/modules/gallery_assist/gallery_assist.install on line 821.
    * warning: array_merge() [function.array-merge]: Argument #3 is not an array in /XXX/lyceeler/www/sites/all/modules/gallery_assist/gallery_assist.install on line 821.
    * warning: array_merge() [function.array-merge]: Argument #2 is not an array in /XXX/lyceeler/www/sites/all/modules/gallery_assist/gallery_assist.install on line 821.
    * warning: array_merge() [function.array-merge]: Argument #3 is not an array in /XXX/lyceeler/www/sites/all/modules/gallery_assist/gallery_assist.install on line 821.
    * warning: array_merge() [function.array-merge]: Argument #2 is not an array in /XXX/lyceeler/www/sites/all/modules/gallery_assist/gallery_assist.install on line 821.
    * warning: array_merge() [function.array-merge]: Argument #3 is not an array in /XXX/lyceeler/www/sites/all/modules/gallery_assist/gallery_assist.install on line 821.
    * warning: array_merge() [function.array-merge]: Argument #2 is not an array in /XXX/lyceeler/www/sites/all/modules/gallery_assist/gallery_assist.install on line 821.
    * warning: array_merge() [function.array-merge]: Argument #3 is not an array in /XXX/lyceeler/www/sites/all/modules/gallery_assist/gallery_assist.install on line 821.
jcmc’s picture

Hello aiphes,

the causes of this error are: the global settings layout-align, layout-float and upload-settings are gone.

I will public a new release with the fix.

Sorry and many thanks
Juan Carlos

aiphes’s picture

ok wait for the fix. ;)

jcmc’s picture

Status:Active» Fixed

fixed
get version 1.18

aiphes’s picture

ok update was normal , no warning or error...

aiphes’s picture

Title:Error during update 1.15 > 1.17» After update to 1.18 : gallery invisble and LB not working
Version:6.x-1.17» 6.x-1.8
Status:Fixed» Needs work

big trouble here...after update, all galeries arent visible for anonymous than before...and lightbox feature doesnt work than before too, jquery 1.3.2...

if i'm connected as admin i cant add images to a gallery created by an user...but if i'm connected with the user login, i cant add/remove images.Strange... seem like modify permissions by the new module version.

aiphes’s picture

Title:After update to 1.18 : gallery invisble and LB not working» After update to 1.18 : LB not working

fixed for visibility : all my galleries are set on public instead public for all in Gallery Public Status :-|

still searching for LB

aiphes’s picture

Status:Needs work» Fixed

yeah...i ve erase the lightboxes folders when i do the upadte last time...so LB where not in place...so it works now..super crazy

Status:Fixed» Closed (fixed)

Automatically closed -- issue fixed for 2 weeks with no activity.